Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157166 - Python script causing memory leaks of over 1gb
Summary: Python script causing memory leaks of over 1gb
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-08 01:34 UTC by Aren Villanueva
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-02 18:17:34 UTC


Attachments (Terms of Use)
Python script (deleted)
2005-05-08 03:31 UTC, Aren Villanueva
no flags Details

Description Aren Villanueva 2005-05-08 01:34:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.7.7) Gecko/20050520 Epiphany/1.6.2

Description of problem:
The attatched script, which is designed to convert UTF-8 into ISO-2022-JP, and back again in selected channels of xchat so that other channels can remain in utf-8 encoding whilst only one or two channels use japanese ISO-2022-JP encoding, causes a memory leak.
The code works perfectly fine on my FreeBSD installation, however on fedora core 3 it causes xchat to crash. I've had the code tested by two other people who are using FC3, and they reported the same problem.

Version-Release number of selected component (if applicable):
VERSION xchat 2.4.0 Linux 2.6.11-1.14_FC3 [i686/2.08GHz]

How reproducible:
Always

Steps to Reproduce:
1.Load the python script (ensuring that xchat's python module is loaded as well)
2.type "/jachan on" to enable iso-2022-jp conversion in the current channel
3.have someone message you something in japanese (in iso-2022-jp encoding of course)
  

Actual Results:  the cpu usage maxes out, and memory consumption goes to the user oom (2gb) before crashing

Expected Results:  proper conversion between iso-2022-jp and utf8

Additional info:

Comment 1 Aren Villanueva 2005-05-08 03:31:28 UTC
Created attachment 114138 [details]
Python script

Comment 2 Peter Zelezny 2005-05-15 16:14:07 UTC
The script causes endless recursion in decode() and xchat.emit_print().

Comment 3 B Donaldson 2005-06-06 07:14:26 UTC
system-install-packages -> userhelper -> python
Running open rpm with install invariably means a quick loss of all available
memory and the slow down of the PC as swapping begins.

The memory loss is attributable to Python taking up to 1GB.

I have an AMD 1200 Athlon, c/w 1GB of DDR 2100 on an ECS K7S5A.

I'm using FC4 development with the latest kernel
Python 2.4.1-2

It happens consistently over multiple updates.

Comment 4 Matthew Miller 2006-07-10 21:11:04 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 Kevin Kofler 2007-06-02 18:17:34 UTC
No feedback for months.


Note You need to log in before you can comment on or make changes to this bug.